SIMECK64::Dec Class Reference

Decryption transformation. More...

`#include <simeck.h>`

Inheritance diagram for SIMECK64::Dec:

## Public Member Functions

void | ProcessAndXorBlock (const byte *inBlock, const byte *xorBlock, byte *outBlock) const
Public Member Functions inherited from BlockCipherImpl< SIMECK64_Info >
unsigned int | BlockSize () const
| Provides the block size of the algorithm.
Public Member Functions inherited from AlgorithmImpl< SimpleKeyingInterfaceImpl< TwoBases< BlockCipher, SIMECK64_Info > > >
std::string | AlgorithmName () const
| The algorithm name.
Public Member Functions inherited from SimpleKeyingInterfaceImpl< TwoBases< BlockCipher, SIMECK64_Info > >
size_t | MinKeyLength () const
| The minimum key length used by the algorithm.
size_t | MaxKeyLength () const
| The maximum key length used by the algorithm.
size_t | DefaultKeyLength () const
| The default key length used by the algorithm.
size_t | GetValidKeyLength (size_t keylength) const
| Provides a valid key length for the algorithm.
SimpleKeyingInterface::IV_Requirement | IVRequirement () const
| The default IV requirements for the algorithm.
unsigned int | IVSize () const
| The initialization vector length for the algorithm.

## Additional Inherited Members

Static Public Member Functions inherited from AlgorithmImpl< SimpleKeyingInterfaceImpl< TwoBases< BlockCipher, SIMECK64_Info > > >
static std::string | StaticAlgorithmName ()
| The algorithm name.

## Detailed Description

Decryption transformation.

Dec provides implementation for decryption transformation. All key and block sizes are supported.

Since
  Crypto++ 8.0

Definition at line 143 of file simeck.h.

## Member Function Documentation

## ProcessAndXorBlock()

void SIMECK64::Dec::ProcessAndXorBlock | ( | const byte * | inBlock,
|  | const byte * | xorBlock,
|  | byte * | outBlock ) const

Definition at line 141 of file simeck.cpp.

The documentation for this class was generated from the following files:

- simeck.h
- simeck.cpp